fv::Pair< T1, T2 > Class Template Reference

Creates a std::pair type from a two other Value objects. More...

`#include <value.hpp>`

Inheritance diagram for fv::Pair< T1, T2 >:
[legend]
Collaboration diagram for fv::Pair< T1, T2 >:
[legend]

## Public Member Functions

| Pair (Value< T1 > *value1, Value< T2 > *value2, const std::string alias="")
Public Member Functions inherited from fv::DerivedValue< std::pair< T1, T2 > >
| DerivedValue (const std::string &name, const std::string &alias="")
void | log ()
std::pair< T1, T2 > & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< std::pair< T1, T2 > >
| Value (const std::string &name, const std::string &alias="")
void | enable_logging (const std::function< std::string(std::pair< T1, T2 >)> &value_to_string=[](std::pair< T1, T2 >){return "";})
void | disable_logging ()

## Static Public Member Functions

static std::string | fmt_name (Value< T1 > *value1, Value< T2 > *value2)

## Protected Member Functions

void | update_value ()
| Updates the internal value. More...

## Protected Attributes

std::pair< Value< T1 > *, Value< T2 > *> | value_pair
Protected Attributes inherited from fv::DerivedValue< std::pair< T1, T2 > >
std::pair< T1, T2 > | value
Protected Attributes inherited from fv::Value< std::pair< T1, T2 > >
std::function< std::string(std::pair< T1, T2 >)> | value_to_string

## Detailed Description

### template<typename T1, typename T2>
class fv::Pair< T1, T2 >

Creates a std::pair type from a two other Value objects.

Definition at line 564 of file value.hpp.

## Member Function Documentation

## update_value()

template<typename T1, typename T2>

void fv::Pair< T1, T2 >::update_value | ( |  | ) |

inlineprotectedvirtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Implements fv::DerivedValue< std::pair< T1, T2 > >.

Definition at line 567 of file value.hpp.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp